Send an HTML reply to the client

- « EventHttpRequest::sendError

- EventHttpRequest::sendReplyChunk »

- PHP Manual
- EventHttpRequest
- Send an HTML reply to the client

# EventHttpRequest::sendReply

(PECL event >= 1.4.0-beta)

EventHttpRequest::sendReply — Send an HTML reply to the client

### Description

public EventHttpRequest::sendReply( int `$code` , string `$reason` , EventBuffer `$buf` = ?): void

Send an HTML reply to the client. The body of the reply consists of data in optional `buf` parameter.

### Parameters

`code`

  The HTTP response code to send.

`reason`

  A brief message to send with the response code.

`buf`

  The body of the response.

### Return Values

No value is returned.

### See Also

- EventHttpRequest::sendError() - Send an HTML error message to the client
- EventHttpRequest::sendReplyChunk() - Send another data chunk as part of an ongoing chunked reply